/**
 *  Copyright © 2025, Luis Andrés Lange <https://javacomm.net>
 *
 *  Previously released under Apache License 2.0; now licensed under MPL 2.0.
 *
 *  This Source Code Form is subject to the terms of the Mozilla Public
 *  License, v. 2.0. If a copy of the MPL was not distributed with this
 *  file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 *  ----------------------------------------------------------------------------
 *
 *  Exhibit B - "Incompatible With Secondary Licenses" Notice
 *
 *  This Source Code Form is "Incompatible With Secondary Licenses",
 *  as defined by the Mozilla Public License, v. 2.0.
 *
 *  In short:
 *  - This file may be used, modified, and distributed under MPL 2.0 only.
 *  - It may NOT be relicensed under GPL, LGPL, AGPL, or any other Secondary License.
 *
 *  Rationale:
 *  - Ensures that the code remains MPL-2.0.
 *  - Avoids legal conflicts with GPL-licensed libraries (e.g., VideoLAN).
 *  - Maximizes usability for commercial and security-critical applications.
 *
 */
package net.javacomm.protocol;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;



public class CALLREMOTEUSER extends MESSAGE {

  public final static String REMOTE_SESSIONID = "REMOTE_SESSIONID";
  public final static String LOCAL_SESSIONID = "LOCAL_SESSIONID";
  public final static String REMOTE_NICKNAME = "REMOTE_NICKNAME";
  public final static String LOCAL_NICKNAME = "LOCAL_NICKNAME";

  private String remoteSessionid;
  private String localSessionid;
  private String remoteNickname;
  private String localNickname;

  public String getLocalNickname() {
    return localNickname;
  }



  public String getLocalSessionid() {
    return localSessionid;
  }



  public String getRemoteNickname() {
    return remoteNickname;
  }



  public String getRemoteSessionid() {
    return remoteSessionid;
  }



  public void setLocalNickname(String value) {
    localNickname = value;
  }



  public void setLocalSessionid(String value) {
    localSessionid = value;
  }



  public void setRemoteNickname(String value) {
    remoteNickname = value;
  }



  public void setRemoteSessionid(String value) {
    remoteSessionid = value;
  }



  @Override
  public String toString() {
    GsonBuilder builder = new GsonBuilder();
    builder.registerTypeAdapter(CALLREMOTEUSER.class, new CallRemoteUserSerializer());
    Gson gson = builder.create();
    return gson.toJson(this);
  }
}
